# This file created by conda-build 3.21.7
# meta.yaml template originally from:
# /workspace/conda/recipes/cuspatial, last modified Wed Apr  6 17:39:18 2022
# ------------------------------------------------

package:
  name: cuspatial
  version: 22.04.00
source:
  git_url: ../../..
build:
  number: '0'
  script_env:
    - CC
    - CUDAHOSTCXX
    - CXX
    - VERSION_SUFFIX
  string: py39_ge8f9f84_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - abseil-cpp 20210324.2 h9c3ff4c_0
    - arrow-cpp 6.0.1 py39hbe2a541_5_cuda
    - arrow-cpp-proc 3.0.0 cuda
    - aws-c-auth 0.6.8 hadad3cd_1
    - aws-c-cal 0.5.12 h70efedd_7
    - aws-c-common 0.6.17 h7f98852_0
    - aws-c-compression 0.2.14 h7c7754b_7
    - aws-c-event-stream 0.2.7 hd2be095_32
    - aws-c-http 0.6.10 h416565a_3
    - aws-c-io 0.10.14 he836878_0
    - aws-c-mqtt 0.7.10 h885097b_0
    - aws-c-s3 0.1.29 h8d70ed6_0
    - aws-c-sdkutils 0.1.1 h7c7754b_4
    - aws-checksums 0.1.12 h7c7754b_6
    - aws-crt-cpp 0.17.10 h6ab17b9_5
    - aws-sdk-cpp 1.9.160 h36ff4c5_0
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2021.10.8 ha878542_0
    - cachetools 5.0.0 pyhd8ed1ab_0
    - cuda-python 11.6.1 py39h3fd9d12_0
    - cudatoolkit 11.6.0 habf752d_9
    - cudf 22.04.00 cuda_11_py39_g8bf0520170_0
    - cupy 10.3.0 py39hc3c280e_0
    - cython 0.29.28 py39h5a03fae_2
    - dlpack 0.5 h9c3ff4c_0
    - fastavro 1.4.10 py39hb9d737c_0
    - fastrlock 0.8 py39h5a03fae_1
    - fsspec 2022.3.0 pyhd8ed1ab_0
    - gflags 2.2.2 he1b5a44_1004
    - glog 0.5.0 h48cff8f_0
    - grpc-cpp 1.42.0 ha1441d3_1
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.19.3 h3790be6_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libblas 3.9.0 14_linux64_openblas
    - libbrotlicommon 1.0.9 h166bdaf_7
    - libbrotlidec 1.0.9 h166bdaf_7
    - libbrotlienc 1.0.9 h166bdaf_7
    - libcblas 3.9.0 14_linux64_openblas
    - libcudf 22.04.00 cuda11_g8bf0520170_0
    - libcurl 7.82.0 h7bff187_0
    - libcuspatial 22.04.00 cuda11_ge8f9f84_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libevent 2.1.10 h9b69904_4
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 11.2.0 h1d223b6_14
    - libgfortran-ng 11.2.0 h69a702a_14
    - libgfortran5 11.2.0 h5c6108e_14
    - libgomp 11.2.0 h1d223b6_14
    - liblapack 3.9.0 14_linux64_openblas
    - libllvm11 11.1.0 hf817b99_3
    - libnghttp2 1.47.0 h727a467_0
    - libnsl 2.0.0 h7f98852_0
    - libopenblas 0.3.20 pthreads_h78a6416_0
    - libprotobuf 3.19.4 h780b84a_0
    - librmm 22.04.00 cuda11_g6797909_0
    - libssh2 1.10.0 ha56f1ee_2
    - libstdcxx-ng 11.2.0 he4da1e4_14
    - libthrift 0.15.0 he6d91bd_1
    - libutf8proc 2.7.0 h7f98852_0
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.11 h166bdaf_1014
    - llvmlite 0.38.0 py39h7d9a04d_1
    - lz4-c 1.9.3 h9c3ff4c_1
    - ncurses 6.3 h9c3ff4c_0
    - numba 0.55.1 py39h56b8d98_0
    - numpy 1.21.5 py39haac66dc_0
    - nvtx 0.2.3 py39h3811e60_1
    - openssl 1.1.1n h166bdaf_0
    - orc 1.7.1 h1be678f_1
    - packaging 21.3 pyhd8ed1ab_0
    - pandas 1.3.5 py39hde0f152_0
    - parquet-cpp 1.5.1 2
    - pip 22.0.4 pyhd8ed1ab_0
    - protobuf 3.19.4 py39he80948d_0
    - ptxcompiler 0.2.0 py39h107f55c_0
    - pyarrow 6.0.1 py39h1ed2e5d_5_cuda
    - pyparsing 3.0.7 pyhd8ed1ab_0
    - python 3.9.12 h9a8a25e_1_cpython
    - python-dateutil 2.8.2 pyhd8ed1ab_0
    - python_abi 3.9 2_cp39
    - pytz 2022.1 pyhd8ed1ab_0
    - re2 2021.11.01 h9c3ff4c_0
    - readline 8.1 h46c0cb4_0
    - rmm 22.04.00 cuda11_py39_g6797909_0
    - s2n 1.3.0 h9b69904_0
    - setuptools 59.8.0 py39hf3d152e_1
    - six 1.16.0 pyh6c4a22f_0
    - snappy 1.1.8 he1b5a44_3
    - spdlog 1.8.5 h4bd325d_1
    - sqlite 3.37.1 h4ff8645_0
    - tk 8.6.12 h27826a3_0
    - typing_extensions 4.1.1 pyha770c72_0
    - tzdata 2022a h191b570_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h166bdaf_1014
    - zstd 1.5.2 ha95c52a_0
  run:
    - cudf 22.04.*
    - gdal >=3.3.0,<3.4.0a0
    - geopandas >=0.9.0,<0.10.0a0
    - libcuspatial >=22.4.0,<22.5.0a0
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
    - rmm 22.04.*
test:
  imports:
    - cuspatial
about:
  home: http://rapids.ai/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: cuSpatial GPU Spatial and Trajectory Data Management and Analytics Library
extra:
  copy_test_source_files: true
  final: true
